Function initBehaviors();

Global Button buttonMainNormalPlaylist;
Global Button buttonMainNormalMediaInfoEditor;
Global Layer layerPlayerNormalBackground;

initBehaviors() {
	buttonMainNormalPlaylist = layoutMainNormal.findObject("player.button.playlist");
	buttonMainNormalMediaInfoEditor = layoutMainNormal.findObject("player.button.mediainfoeditor");
	layerPlayerNormalBackground = layoutMainNormal.findObject("player.background.main");
}

layerPlayerNormalBackground.onLeftButtonDblClk(Int intX, Int intY) {
	buttonMainNormalPlaylist.leftClick();
}

textNormalSongName.onLeftButtonDblClk(Int intX, Int intY) {
	buttonMainNormalMediaInfoEditor.leftClick();
}

textNormalSongName.onRightButtonDown(Int intPosX, Int intPosY) {
	PopupMenu popupMenuSongTicker;
	
	popupMenuSongTicker = new PopupMenu;
	popupMenuSongTicker.addCommand("Song Ticker Scrolling", -1, 0, 1);
	popupMenuSongTicker.addSeparator();
	popupMenuSongTicker.addCommand("Enabled ", 1, (boolSongTicker == 1), 0);
	popupMenuSongTicker.addCommand("Disabled", 0, (boolSongTicker == 0), 0);
	
	Int intResult = popupMenuSongTicker.popAtMouse();
	
	if (intResult > -1) {
		boolSongTicker = intResult;
		setSongTicker();
	}
	
	complete;
	
	delete popupMenuSongTicker;
}