Function initSongTime();
Function unloadSongTime();
Function setSongTime(Text textSongTime);
Function toggleSongTimeMode();

Global Timer timerSongTime;
Global String strSongTimeMode;
Global Layer layerNormalTimeElapsed, layerNormalTimeRemaining;

initSongTime() {
	layerNormalTimeElapsed = layoutMainNormal.findObject("player.background.label.timeelapsed");
	layerNormalTimeRemaining = layoutMainNormal.findObject("player.background.label.timeremaining");
	
	layerNormalTimeElapsed.hide();
	layerNormalTimeRemaining.hide();
	
	timerSongTime = new Timer;
	timerSongTime.setDelay(100);
	timerSongTime.start();
	strSongTimeMode = System.getPrivateString(strSkinName, "SongTimeMode", "ELAPSED");
}

unloadSongTime() {
	delete timerSongTime;
}

System.onStop() {
	timerSongTime.stop();
	setSongTime(textNormalSongTime);
}

System.onPlay() {
	timerSongTime.start();
}

System.onResume() {
	timerSongTime.start();
}

timerSongTime.onTimer() {
	if (!(System.getPlayItemLength() > 0)) {
		strSongTimeMode = "ELAPSED";
	}
	if (layoutMainNormal.isVisible()) { setSongTime(textNormalSongTime); }
}

textNormalSongTime.onLeftButtonDown(Int intPosX, Int intPosY) {
	toggleSongTimeMode();
}

toggleSongTimeMode() {
	if (System.getPlayItemLength() > 0) {
		if (strSongTimeMode == "REMAINING") {
			strSongTimeMode = "ELAPSED";
		} else {
			strSongTimeMode = "REMAINING";
		}
		System.setPrivateString(strSkinName, "SongTimeMode", strSongTimeMode);
	}
}

setSongTime(Text textSongtime) {
	String strTime;
	if (strSongTimeMode == "REMAINING") {
		layerNormalTimeElapsed.hide();
		layerNormalTimeRemaining.show();
		strTime = System.integerToTime(System.GetPlayItemLength() - System.getPosition());
//		if (System.strLen(strTime) < 5) {
//			strTime = "0" + strTime;
//		}
		strTime = "-" + strTime;
	} else {
		layerNormalTimeRemaining.hide();
		layerNormalTimeElapsed.show();
		strTime = System.integerToTime(System.getPosition());
//		if (System.strLen(strTime) < 5) {
//			strTime = "0" + strTime;
//		}
//		strTime = " " + strTime;
	}
	textSongtime.setText(strTime);
}