#include "../../../lib/std.mi"

#include "global.m"
#include "options.m"
#include "lights.m"
#include "seek.m"
#include "volume.m"
#include "songtime.m"
#include "behaviors.m"

System.onScriptLoaded() {
	initGlobal();
	initOptions();
	initLights();
	initSeek();
	initVolume();
	initSongTime();
	initBehaviors();
}

System.onScriptUnloading() {
	unloadGlobal();
	unloadLights();
	unloadSeek();
	unloadSongTime();
}